> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xapi.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Following

> Get User Following



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/user/following
openapi: 3.1.0
info:
  title: xAPI
  description: xAPI
  version: 1.0.0
servers:
  - url: https://twitter-x-api.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/v2/user/following:
    get:
      tags:
        - User
      summary: Get User Following
      description: Get User Following
      operationId: getApiV2UserFollowing
      parameters:
        - in: query
          name: user_id
          schema:
            type: string
            pattern: ^\d+$
            description: User ID
            example: '44196397'
          required: true
        - in: query
          name: count
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: The number of results to be returned
            example: 20
          required: false
        - in: query
          name: cursor
          schema:
            type: string
            description: >-
              cursor parameter is used for pagination. In the first request, the
              default value of cursor is empty. For subsequent requests, the
              value of cursor will be taken from the response of the previous
              request
            default: ''
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  cursor:
                    type: string
                    description: >-
                      Cursor for pagination. Use this value in subsequent
                      requests to fetch more data
                    example: 1870789372997279023|2100100082220138424
                  has_more:
                    type: boolean
                    description: Indicates whether there are more data available to fetch
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the user
                          example: '357312062'
                        encoded_id:
                          type: string
                          description: The encoded representation of the user ID
                          example: VXNlcjozNTczMTIwNjI=
                        screen_name:
                          type: string
                          description: The user’s unique username
                          example: Bitcoin
                        name:
                          type: string
                          description: The display name of the user
                          example: Bitcoin
                        desc:
                          type: string
                          description: The user’s profile biography or description
                          example: >-
                            Bitcoin is an open source censorship-resistant
                            peer-to-peer immutable network. Trackable digital
                            gold. Don't trust; verify. Not your keys; not your
                            coins.
                        location:
                          type: string
                          description: The location specified in the user’s profile
                          example: Worldwide
                        birthdate:
                          type: object
                          properties:
                            day:
                              type: number
                              description: The day of the user’s birth
                              example: 3
                            month:
                              type: number
                              description: The month of the user’s birth
                              example: 1
                            year:
                              type: number
                              description: The year of the user’s birth
                              example: 2009
                        website_url:
                          type: string
                          description: The URL of the website listed on the user’s profile
                          example: https://t.co/foKG3v5VuE
                        avatar_url:
                          type: string
                          description: The URL of the user’s profile avatar image
                          example: >-
                            https://pbs.twimg.com/profile_images/421692600446619648/dWAbC2wg_normal.jpeg
                        banner_url:
                          type: string
                          description: The URL of the user’s profile banner image
                          example: >-
                            https://pbs.twimg.com/profile_banners/357312062/1566845268
                        created_at:
                          type: string
                          description: >-
                            The date and time when the user account was created,
                            formatted as a platform-specific date string
                          example: Thu Aug 18 05:06:08 +0000 2011
                        created_at_unix:
                          type: number
                          description: >-
                            The user account creation time as a Unix timestamp
                            in seconds
                          example: 1313643968
                        profile_image_shape:
                          type: string
                          description: The shape used to display the user’s profile image
                          example: Circle
                        tweet_count:
                          type: number
                          description: The total number of tweets published by the user
                          example: 30158
                        media_tweet_count:
                          type: number
                          description: >-
                            The number of tweets published by the user that
                            contain media
                          example: 4574
                        follower_count:
                          type: number
                          description: The number of users following this user
                          example: 8899205
                        following_count:
                          type: number
                          description: The number of users this user follows
                          example: 13
                        favorites_count:
                          type: number
                          description: >-
                            The number of tweets the user has marked as
                            favorites
                          example: 2772
                        affiliates_count:
                          type: number
                          description: The number of affiliations associated with the user
                          example: 0
                        creator_subscriptions_count:
                          type: number
                          description: >-
                            The number of creator subscription subscribers
                            associated with the user
                          example: 0
                        is_private:
                          type: boolean
                          description: Whether the user’s account is private
                          example: false
                        is_verified:
                          type: boolean
                          description: Whether the user has a legacy verified status
                          example: false
                        is_blue_verified:
                          type: boolean
                          description: >-
                            Whether the user has an active blue verification
                            status
                          example: true
                        verification_info:
                          type: object
                          properties:
                            is_identity_verified:
                              type: boolean
                              description: >-
                                Whether the user has completed identity
                                verification
                              example: false
                            verified_since_msec:
                              type: string
                              description: >-
                                The timestamp, in milliseconds since the Unix
                                epoch, when the user was verified
                              example: '1682247319678'
                            reason:
                              type: string
                              description: >-
                                The reason or explanation provided for the
                                user’s verification status
                              example: This account is verified
                        can_dm:
                          type: boolean
                          description: >-
                            Whether the current user can send a direct message
                            to this user
                          example: false
                        can_media_tag:
                          type: boolean
                          description: >-
                            Whether the user allows other users to tag them in
                            media
                          example: false
                        is_profile_translatable:
                          type: boolean
                          description: Whether the user’s profile can be translated
                          example: false
                        possibly_sensitive:
                          type: boolean
                          description: >-
                            Whether the user or their profile may contain
                            potentially sensitive content
                          example: false
                        premium_gifting_eligible:
                          type: boolean
                          description: >-
                            Whether the user is eligible to receive premium
                            gifts
                          example: false
                        super_follow_eligible:
                          type: boolean
                          description: >-
                            Whether the user is eligible for the platform’s
                            creator subscription (Super Follow feature)
                          example: false
                        profile_sort_enabled:
                          type: boolean
                          description: >-
                            Whether profile sorting features are enabled for the
                            user
                          example: true
                        has_graduated_access:
                          type: boolean
                          description: >-
                            Whether the user has access to the platform’s
                            graduated access level or features
                          example: true
                        has_hidden_subscriptions_on_profile:
                          type: boolean
                          description: >-
                            Whether the user’s subscriptions are hidden from
                            their profile
                          example: false
                        urls:
                          type: array
                          items:
                            type: object
                            properties:
                              url:
                                type: string
                                description: >-
                                  The shortened URL as displayed in the user’s
                                  profile
                                example: https://t.co/foKG3v5VuE
                              display_url:
                                type: string
                                description: The URL displayed to users in the profile
                                example: bitcoin.org/bitcoin.pdf
                              expanded_url:
                                type: string
                                description: >-
                                  The full destination URL represented by the
                                  shortened URL
                                example: https://bitcoin.org/bitcoin.pdf
                        affiliates_highlighted_label:
                          type: object
                          properties:
                            description:
                              type: string
                              description: >-
                                The display name or description of the
                                affiliated organization, business, or entity
                              example: ''
                            url:
                              type: string
                              description: >-
                                The URL of the affiliated organization,
                                business, or entity profile
                              example: ''
                            badge_url:
                              type: string
                              description: >-
                                The URL of the badge or profile image associated
                                with the affiliated entity
                              example: ''
                            type:
                              type: string
                              description: The type of affiliation label
                              example: ''
                        professional:
                          type: object
                          properties:
                            category:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: >-
                                      The unique identifier of the professional
                                      category
                                    example: ''
                                  name:
                                    type: string
                                    description: The name of the professional category
                                    example: ''
                            id:
                              type: string
                              description: >-
                                The unique identifier of the user’s professional
                                profile
                              example: '1679703878185672704'
                            type:
                              type: string
                              description: >-
                                The type of professional profile associated with
                                the user
                              example: Business
                        parody_commentary_fan_label:
                          type: string
                          description: >-
                            The label identifying the account as parody,
                            commentary, or fan content, if applicable
                          example: None
                        pinned_tweet_ids:
                          type: array
                          items:
                            type: string
                          description: The IDs of tweets pinned to the user’s profile
                          example:
                            - '1283491850641461248'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.xapi.sh/getting-started/quickstart)

````